RHEL Engineering is moving the tracking of its product development work on RHEL 6 through RHEL 9 to Red Hat Jira (issues.redhat.com). If you're a Red Hat customer, please continue to file support cases via the Red Hat customer portal. If you're not, please head to the "RHEL project" in Red Hat Jira and file new tickets here. Individual Bugzilla bugs in the statuses "NEW", "ASSIGNED", and "POST" are being migrated throughout September 2023. Bugs of Red Hat partners with an assigned Engineering Partner Manager (EPM) are migrated in late September as per pre-agreed dates. Bugs against components "kernel", "kernel-rt", and "kpatch" are only migrated if still in "NEW" or "ASSIGNED". If you cannot log in to RH Jira, please consult article #7032570. That failing, please send an e-mail to the RH Jira admins at rh-issues@redhat.com to troubleshoot your issue as a user management inquiry. The email creates a ServiceNow ticket with Red Hat. Individual Bugzilla bugs that are migrated will be moved to status "CLOSED", resolution "MIGRATED", and set with "MigratedToJIRA" in "Keywords". The link to the successor Jira issue will be found under "Links", have a little "two-footprint" icon next to it, and direct you to the "RHEL project" in Red Hat Jira (issue links are of type "https://issues.redhat.com/browse/RHEL-XXXX", where "X" is a digit). This same link will be available in a blue banner at the top of the page informing you that that bug has been migrated.
Bug 2062379 - [RFE] Management of AD User and Group attribute functionality handling by IPA Server change requested
Summary: [RFE] Management of AD User and Group attribute functionality handling by IPA...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: ipa
Version: 8.7
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Rafael Jeffman
QA Contact: ipa-qe
David Voženílek
URL:
Whiteboard:
Depends On: 2062689
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-03-09 16:37 UTC by Jonathan Buckley
Modified: 2022-11-08 10:24 UTC (History)
13 users (show)

Fixed In Version: ipa-4.9.8-8.module+el8.7.0+14711+1e093de3
Doc Type: Enhancement
Doc Text:
.IdM now indicates whether a given name is a user or a group in a trusted AD domain during a name search With this update, new `getorigbyusername()` and `getorigbygroupname()` calls are added to `libsss_nss_idmap`, a utility library for SID-based lookups. This addition makes user and group lookup more robust when Identity Management (IdM) is in a trust with an Active Directory (AD) domain. When performing a user or group lookup, IdM can now display whether the given name belongs to a user or a group in the trusted domain.
Clone Of:
Environment:
Last Closed: 2022-11-08 09:35:50 UTC
Type: Bug
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker FREEIPA-7945 0 None None None 2022-03-09 16:44:55 UTC
Red Hat Issue Tracker RHELPLAN-115052 0 None None None 2022-03-09 16:44:58 UTC
Red Hat Issue Tracker RHELPLAN-117110 0 None None None 2022-05-24 08:02:56 UTC
Red Hat Knowledge Base (Solution) 6966612 0 None None None 2022-07-07 19:45:10 UTC
Red Hat Product Errata RHBA-2022:7540 0 None None None 2022-11-08 09:36:10 UTC

Comment 6 Alexander Bokovoy 2022-03-16 09:12:44 UTC
Fixed upstream
master:
https://pagure.io/freeipa/c/c37a033b8a38ea2fd525a368806d8352e6783a7b

Comment 7 Alexander Bokovoy 2022-03-16 14:19:54 UTC
Fixed upstream
ipa-4-9:
https://pagure.io/freeipa/c/cedca75f4fbae3293b2f2443fa6ee479d59a8ef1

Comment 29 Florence Blanc-Renaud 2022-10-18 05:06:18 UTC
Test added upstream in ipatests/test_integration/test_sssd.py::TestSSSDWithAdTrust::test_aduser_mgmt

master:
https://pagure.io/freeipa/c/715ee82e3caab91f58d1aca4db13e8ebe2e692c1

Comment 32 errata-xmlrpc 2022-11-08 09:35:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (idm:client and idm:DL1 bug fix and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2022:7540


Note You need to log in before you can comment on or make changes to this bug.